TAN(3)

NAME
tan, tanf, tanl - tangent functions

LIBRARY
libm

SYNOPSIS
#include <math.h>
double
tan(double x);
float
tanf(float x);
long double
tanl(long double x);

DESCRIPTION
The tan(), tanf(), and tanl() functions compute the tangent of x (measured in radians). A large magnitude argument may yield a result with little or no significance. For a discussion of error due to roundoff, see math(3).

RETURN VALUES
The tan(), tanf(), and tanl() functions return the tangent value.

SEE ALSO
acos(3), asin(3), atan(3), atan2(3), cos(3), cosh(3), ctan(3), math(3), sin(3), sinh(3), tanh(3)

STANDARDS
These functions conform to isoC-99.